Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\Core\REST\Server\Values\RestUserGroup Class Reference

REST UserGroup, as received by /user/groups/<path>. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Values\RestUserGroup:

## Public Member Functions
| __construct (Content $content, ContentType $contentType, ContentInfo $contentInfo, Location $mainLocation, array $relations)
| Construct. More...

## Public Attributes
| $content
| $contentType
| $contentInfo
| $relations
| $mainLocation

## Detailed Description

REST UserGroup, as received by /user/groups/<path>.

Definition at line 18 of file Values/RestUserGroup.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Values\RestUserGroup::__construct | ( | Content | $content,
|  | ContentType | $contentType,
|  | ContentInfo | $contentInfo,
|  | Location | $mainLocation,
|  | array | $relations
| ) |  |

Construct.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Content | $content |
  \eZ\Publish\API\Repository\Values\ContentType\ContentType | $contentType |
  \eZ\Publish\API\Repository\Values\Content\ContentInfo | $contentInfo |
  \eZ\Publish\API\Repository\Values\Content\Location | $mainLocation |
  \eZ\Publish\API\Repository\Values\Content\Relation[] | $relations |

Definition at line 44 of file Values/RestUserGroup.php.

References eZ\Publish\Core\REST\Server\Values\RestUserGroup\$content, eZ\Publish\Core\REST\Server\Values\RestUserGroup\$contentInfo, eZ\Publish\Core\REST\Server\Values\RestUserGroup\$contentType, eZ\Publish\Core\REST\Server\Values\RestUserGroup\$mainLocation, and eZ\Publish\Core\REST\Server\Values\RestUserGroup\$relations.

## Member Data Documentation

## ◆ $content

eZ\Publish\Core\REST\Server\Values\RestUserGroup::$content

Definition at line 21 of file Values/RestUserGroup.php.

Referenced by eZ\Publish\Core\REST\Server\Values\RestUserGroup\__construct().

## ◆ $contentInfo

eZ\Publish\Core\REST\Server\Values\RestUserGroup::$contentInfo

Definition at line 27 of file Values/RestUserGroup.php.

Referenced by eZ\Publish\Core\REST\Server\Values\RestUserGroup\__construct().

## ◆ $contentType

eZ\Publish\Core\REST\Server\Values\RestUserGroup::$contentType

Definition at line 24 of file Values/RestUserGroup.php.

Referenced by eZ\Publish\Core\REST\Server\Values\RestUserGroup\__construct().

## ◆ $mainLocation

eZ\Publish\Core\REST\Server\Values\RestUserGroup::$mainLocation

Definition at line 33 of file Values/RestUserGroup.php.

Referenced by eZ\Publish\Core\REST\Server\Values\RestUserGroup\__construct().

## ◆ $relations

eZ\Publish\Core\REST\Server\Values\RestUserGroup::$relations

Definition at line 30 of file Values/RestUserGroup.php.

Referenced by eZ\Publish\Core\REST\Server\Values\RestUserGroup\__construct().

The documentation for this class was generated from the following file:

- Values/RestUserGroup.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.